var n = (r, e, a) => new Promise((m, s) => {
  var g = (t) => {
    try {
      i(a.next(t));
    } catch (o) {
      s(o);
    }
  }, u = (t) => {
    try {
      i(a.throw(t));
    } catch (o) {
      s(o);
    }
  }, i = (t) => t.done ? m(t.value) : Promise.resolve(t.value).then(g, u);
  i((a = a.apply(r, e)).next());
});
import { b as c, p as l } from "./index-97d17652-B0NIExnR.js";
import { g as d } from "./app-globals-0f993ce5-D-kw1sls.js";
var h = () => {
  const r = import.meta.url, e = {};
  return r !== "" && (e.resourcesUrl = new URL(".", r).href), l(e);
};
h().then((r) => n(void 0, null, function* () {
  return yield d(), c([["ui-image_2", [[0, "ui-image", { src: [1], width: [1], height: [1], alt: [1], styles: [8], detectDistance: [1, "detect-distance"], imgLoaded: [32], shouldLoad: [32] }, null, { src: ["handleSrc"] }], [0, "ui-skeleton", { structure: [1], width: [1], height: [1], borderRadius: [8, "border-radius"], marginBottom: [8, "margin-bottom"], marginTop: [8, "margin-top"], marginLeft: [8, "margin-left"], marginRight: [8, "margin-right"], animation: [4], rows: [2], size: [1] }, null, { structure: ["handleStructureChange"] }]]]], r);
}));
